import sys
import warnings

import GramAddict

warnings.filterwarnings("ignore", category=UserWarning, module="urllib3")
try:
    from urllib3.exceptions import NotOpenSSLWarning

    warnings.filterwarnings("ignore", category=NotOpenSSLWarning)
except ImportError:
    pass

if __name__ == "__main__":
    try:
        GramAddict.run()
    except KeyboardInterrupt:
        print("\n\nGracefully exiting due to KeyboardInterrupt (Ctrl+C).")
        sys.exit(0)
